@echo off
REM MEGCHECK -- program verifies that file can go through a "round trip"
if %1+==+ goto dox
if exist %1 goto datayes
Echo This batch file program tests the integrity of the MegaDots round trip
Echo You need to refer to an inkprint MegaDots file. This program was looking
Echo for a file called %1 in this directory and could not find it.
Echo Consider typing WHERE %1 to look for it.
goto final
:datayes
echo   ** Producing print image WITHOUT translation
mega %1 /i /sreg.qrz#0101
echo  **  Producing print image, with round trip translation into braille and back
mega %1 /b /i /sround.qrz#0101
fc reg.qrz round.qrz >report.qrz
Echo If it says "FC: no differences encountered", you can trust the MegaDots >>report.qrz
Echo round trip. Feel free to press F5 in MegaDots whenever you need to. >>report.qrz
Echo ------ >>report.qrz
Echo If any differences appeared, contact Raised Dot Computing. Send a >>report.qrz
Echo copy of %1 on floppy disk with a note that it flunked the round trip. >>report.qrz
Echo A MegaDots update which fixes the bug(s) will be shipped to you as >>report.qrz
Echo soon as possible. >>report.qrz
type report.qrz |more
del reg.qrz > nul
del round.qrz > nul
del temp.qrz >nul
del report.qrz >nul
goto final
:dox
Echo This batch file program tests the integrity of the MegaDots round trip
Echo You need to refer to an inkprint MegaDots file. For example:
Echo MEGCHECK SEC7.MEG [Enter]
:final
echo To test the round trip of a file from inside MegaDots' Editor, press Alt-F5
